> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/curve/curvewithdraw.md).

# CurveWithdraw

Action that withdraws `tokens` from the pool via the `depositTarget` burning `lpToken`.

{% hint style="info" %}
User needs to approve the its wallet to pull `lpToken`.
{% endhint %}

{% hint style="info" %}
If one of the tokens == `0xEeee...` the receiver will receive `WETH` instead of native `ETH`.
{% endhint %}

#### Parameters:

* `address from` - address where the LP tokens are pulled from.
* `address to` - address that will receive withdrawn tokens.
* `address depositTarget` - pool contract or zap deposit contract from which to withdraw.
* `uint256 burnAmount` - amount of LP tokens to burn for withdrawal.
* `uint8 flags` - *explained on the previous page*
* `uint256[] amounts` - amount of each token to withdraw.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/curve/curvewithdraw.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
